### Method

# Tsparql SparqlConnection update_blank_finish

deprecated: 3.5

#### Declaration [src]

    GVariant*
    tracker_sparql_connection_update_blank_finish (
      TrackerSparqlConnection* connection,
      GAsyncResult* res,
      GError** error
    )

#### Description [src]

Finishes the operation started with `tracker_sparql_connection_update_blank_async()`.

This method returns the URNs of the generated nodes, if any. See the `tracker_sparql_connection_update_blank()` documentation for the interpretation of the returned `GVariant`.

Deprecated since: 3.5

See `tracker_sparql_connection_update_blank()`.

#### Parameters

`res`

  Type: `GAsyncResult`

  A `GAsyncResult` with the result of the operation.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GVariant`

A `GVariant` with the generated URNs.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.